coap_dtls_key_t Struct Reference
DTLS Support

The structure that holds the PKI key information. More...

`#include <coap_dtls.h>`

Collaboration diagram for coap_dtls_key_t:
[legend]

## Data Fields

coap_pki_key_t | key_type
| key format type More...
union {
coap_pki_key_pem_t pem
| for PEM keys More...
coap_pki_key_asn1_t asn1
| for ASN.1 (DER) keys More...
} | key

## Detailed Description

The structure that holds the PKI key information.

Definition at line 163 of file coap_dtls.h.

## Field Documentation

## asn1

coap_pki_key_asn1_t coap_dtls_key_t::asn1

for ASN.1 (DER) keys

Definition at line 167 of file coap_dtls.h.

## key

union { ... } coap_dtls_key_t::key

## key_type

coap_pki_key_t coap_dtls_key_t::key_type

key format type

Definition at line 164 of file coap_dtls.h.

## pem

coap_pki_key_pem_t coap_dtls_key_t::pem

for PEM keys

Definition at line 166 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h